Форум русскоязычного сообщества Ubuntu


Автор Тема: Пакет недоступен, но упомянут в списке зависимостей другого пакета...  (Прочитано 9202 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн SomethingWild

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Пытаюсь установить java 8, собственно, никак - вылезает ошибка:Пакет oracle-java8-installer недоступен, но упомянут в списке зависимостей другого пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list

E: Для пакета «oracle-java8-installer» не найден кандидат на установку".
Ввожу:
sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java8-installer
Как установить Oracle Java 8 на 18.04? OpenJDK не интересует.
« Последнее редактирование: 20 Апрель 2019, 22:00:34 от zg_nico »

Оффлайн Dzhoser

  • Старожил
  • *
  • Сообщений: 2431
    • Просмотр профиля
sudo apt update && sudo apt install openjdk-11-jdk openjdk-11-jre openjdk-11-source -y
Или нужна именно 8?

Оффлайн SomethingWild

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3513
  • Nil mortalibus arduum est
    • Просмотр профиля
Something Wild, доброго времени суток! Пакет, который Вы пытаетесь поставить в указанном репозитории действительно не существует.
sudo add-apt-repository ppa:webupd8team/java
В данном репозитории в заголовке крупными буквами написано DISCONTINUED. Размер его 0. Там вообще нет пакетов. Подробности здесь. Если же версия java не столь принципиальна, и устроит, скажем, версия 11, как вариант, предлагаю во-первых, убрать тот ppa из системы, ибо бесполезен:sudo add-apt-repository --remove ppa:webupd8team/javaНу а далее - добавить иной репозиторий, и установить из него:sudo add-apt-repository ppa:linuxuprising/java
sudo apt update
sudo apt install oracle-java11-installer
« Последнее редактирование: 20 Апрель 2019, 21:59:34 от zg_nico »
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн SomethingWild

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
и вроде как вариант обходного пути для установки именно версии 8 есть здесь.
Если я правильно понял, то там только вариант продолжать получать обновления для уже установленной java, мне же на свежеустановленную систему необходимо установить.

Если же версия java не столь принципиальна, и устроит, скажем, версия 11
К сожалению нет, нужна именно 8.

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3513
  • Nil mortalibus arduum est
    • Просмотр профиля
К сожалению нет, нужна именно 8.
Может тогда deb-пакетом? Попробуйте скачать пакет, например, отсюда, и установить его в систему через dpkg или apt.
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн SomethingWild

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
zg_nico, спасибо, установил. Жаль версия старовата, но на безрыбье покатит.
На сайте java есть последняя версия, но в tar.gz - ее можно установить на Ubuntu или сделать из нее deb для установки? Пробовал по инструкциям из интернета - не получилось ничего, уж не знаю моя криворукость или это нормальная ситуация)
« Последнее редактирование: 21 Апрель 2019, 14:06:15 от Something Wild »

Оффлайн soarin

  • Старожил
  • *
  • Сообщений: 1850
  • ubuntu 20.04
    • Просмотр профиля
На сайте java есть последняя версия, но в tar.gz - ее можно установить на Ubuntu
Да. Так и делaю.
https://rtmccormick.com/2018/04/29/how-to-manually-install-java-8-on-ubuntu-18-04-lts/

Оффлайн SomethingWild

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
soarin, вроде как сделал, в терминале показывает:
java version "1.8.0_211"
Java(TM) SE Runtime Environment (build 1.8.0_211-b12)
но в списке программ ее нету, при ручном указывании пути - файла javaw не нашел (если я правильно помню, то он отвечает за запуск .jar программ), контрол панели так же не обнаружил (раньше она сама появлялась в списке программ и диспетчере настроек xfce). Может опять туплю, но... как таки установить нормально?

Оффлайн SomethingWild

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Решил таки: установил сначала версию 8u131, доустановил зависимости, затем в /usr/lib/jvm/java-8-oracle/ заменил файлы на те, что в tar.gz (последней версии).

 

Страница сгенерирована за 0.073 секунд. Запросов: 26.